local long

addHook("PlayerThink", function(player)
	if player.valid and player.playerstate == PST_LIVE
		player.target = P_LookForEnemies(player, false, true)
		if player.target
			long = R_PointToDist2(player.mo.x, player.mo.y, player.target.x, player.target.y)
		end	
	end
end)	

local function KillButton(v, player) //Kill Button
	if player.mo and player.valid and player.playerstate == PST_LIVE and not (player.powers[pw_carry] == CR_NIGHTSMODE)
	and player.mo.skin == "impostor"
		local killbtn
		/*if player.target and long and long < 500*FRACUNIT 
			killbtn = v.cachePatch("KILLBTN")
		end	
		if not (player.target) or player.killcooldown > 0 or (player.target and long >= 500*FRACUNIT)
			killbtn = v.cachePatch("NOKILLBTN")
		end	
		if killbtn
			v.drawScaled((233+10)*FRACUNIT, 179*FRACUNIT, FRACUNIT/10, killbtn, V_SNAPTOBOTTOM|V_SNAPTORIGHT|V_HUDTRANS)
		end	
		if player.killcooldown
			if player.killcooldown > 0
				v.drawNum(237+10, 175-2, player.killcooldown, V_SNAPTOBOTTOM|V_SNAPTORIGHT|V_HUDTRANS, "center")
			end	
		end*/
		if player.target and long and long < 500*FRACUNIT
			killbtn = v.cachePatch("KILLBTN")
		end	
		if not (player.target) or (player.killcooldown and player.killcooldown > 0) or (player.target and long >= 500*FRACUNIT)
			killbtn = v.cachePatch("NOKILLBTN")
		end
		if killbtn
			v.drawScaled((233+10)*FRACUNIT, 179*FRACUNIT, FRACUNIT/10, killbtn, V_SNAPTOBOTTOM|V_SNAPTORIGHT|V_HUDTRANS)
		end
		if player.killcooldown
			if player.killcooldown > 0
				v.drawString(237+10, 175-2, player.killcooldown, V_SNAPTOBOTTOM|V_SNAPTORIGHT|V_HUDTRANS, "center")
			end	
		end
	end
end
hud.add(KillButton)

local function VentButton(v, player) //Vent Buttons
	if player.mo and player.valid and player.playerstate == PST_LIVE and not (player.powers[pw_carry] == CR_NIGHTSMODE)
	and player.mo.skin == "impostor"
		local sabbtn
		if player.vent == true or player.pflags & PF_THOKKED
			sabbtn = v.cachePatch("NOVENT")
		else
			sabbtn = v.cachePatch("NOVENTREAL")
		end	
		if sabbtn
			v.drawScaled(283*FRACUNIT, 179*FRACUNIT, FRACUNIT/10, sabbtn, V_SNAPTOBOTTOM|V_SNAPTORIGHT|V_HUDTRANS)
		end	
		if player.venttime and player.vent and player.vent == true
			if player.venttime > 0
				v.drawString((237+10)+40, 184-10, player.venttime, V_SNAPTOBOTTOM|V_SNAPTORIGHT|V_HUDTRANS, "center")	
			end
		end
	end			
end
hud.add(VentButton)

local function ReportButton(v, player) //Report Buttons
	if player.mo and player.valid and player.playerstate == PST_LIVE and not (player.powers[pw_carry] == CR_NIGHTSMODE)
	and player.mo.skin == "impostor"
		local reportbtn
		if player.target and long and long < 500*FRACUNIT
			reportbtn = v.cachePatch("REPORT")
			if player.target.votes and player.target.votes > 0
				v.draw(0, 105, v.cachePatch("VOTETAB"), V_SNAPTOBOTTOM|V_SNAPTOLEFT|V_HUDTRANS, v.getColormap("sonic", player.mo.color))	
				v.drawString(42, 155, player.target.votes, V_SNAPTOBOTTOM|V_SNAPTOLEFT|V_HUDTRANS, "center")
				v.drawString(42, 145, "VOTES", V_SNAPTOBOTTOM|V_SNAPTOLEFT|V_HUDTRANS, "center")
				v.drawScaled(45*FRACUNIT, 140*FRACUNIT, FRACUNIT-FRACUNIT/5, v.getSpritePatch(states[player.target.state].sprite, states[player.target.state].frame, 2), V_SNAPTOBOTTOM|V_SNAPTOLEFT|V_HUDTRANS, v.getColormap("sonic", player.target.color))
			end	
		end	
		if not (player.target) or (player.reportcooldown and player.reportcooldown > 0) or (player.target and long >= 500*FRACUNIT)
			reportbtn = v.cachePatch("NOREPORT")
		end
		if reportbtn
			v.drawScaled(283*FRACUNIT, 135*FRACUNIT, FRACUNIT/10, reportbtn, V_SNAPTOBOTTOM|V_SNAPTORIGHT|V_HUDTRANS)
		end
		if player.reportcooldown
			if player.reportcooldown > 0
				v.drawString((237+10)+40, 130, player.reportcooldown, V_SNAPTOBOTTOM|V_SNAPTORIGHT|V_HUDTRANS, "center")
			end	
		end
	end
end
hud.add(ReportButton)

local function OmaeWouMuShinderu(v, player) //Vent Buttons
	if player.mo and player.valid and not (player.powers[pw_carry] == CR_NIGHTSMODE)
	and player.mo.skin == "impostor"
		if player.deathtext
			v.drawString(160, 100, player.deathtext, V_HUDTRANS|V_ALLOWLOWERCASE, "center")
		end
	end			
end
hud.add(OmaeWouMuShinderu)