addHook("TouchSpecial", function(mo, player)
	for player in players.iterate do
		if player.mo.skin == "impostor" and mo.type == MT_EXTRALARGEBUBBLE
			return true
		end
	end
end, MT_EXTRALARGEBUBBLE)

freeslot("sfx_vent", "S_VENT", "SPR_OVEN", "S_PLAY_VENT", "SPR2_VENT")

states[S_VENT] = {
	sprite = SPR_OVEN,
	frame = A|FF_FULLBRIGHT,
	tics = 50,
	nextstate = S_VENT
}

states[S_PLAY_VENT] = {SPR_PLAY, SPR2_VENT, 3, nil, 0, 0, S_PLAY_VENT}

freeslot("sfx_rstart")

local function RoundStart(player)
	if player.mo.skin == "impostor"
		S_StartSound(player.mo, sfx_rstart, player)
		player.killcooldown = 0
		player.reportcooldown = 0
		player.vent = false
		player.venttime = 10
		player.normalspeed = skins[player.mo.skin].normalspeed
		player.mo.flags2 = $ & ~MF2_DONTDRAW
		player.pflags = $ & ~(PF_INVIS|PF_THOKKED)
		player.mo.height = skins[player.mo.skin].height
		player.height = skins[player.mo.skin].height
		player.shieldscale = skins[player.mo.skin].shieldscale
		player.pflags = $ & ~PF_JUMPED
		player.charflags = skins[player.mo.skin].flags
		player.mo.radius = skins[player.mo.skin].radius
	end	
end

addHook("PlayerSpawn", RoundStart)